ScheduledMessages
Resume a review-paused scheduled message
Explicitly resumes a scheduled message after onboarding review clearance. An overdue message requires either send_now or a new future scheduledFor value.
Explicitly resumes a scheduled message after onboarding review clearance. An overdue message requires either send_now or a new future scheduledFor value.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^sched_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
choice*"send_now"
Value in
- "send_now"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/messages/scheduled/string/resume" \ -H "Content-Type: application/json" \ -d '{ "choice": "send_now" }'{ "id": "string", "status": "pending", "scheduledFor": "string", "timezone": "string", "send": { "conversationId": "string", "metadata": {}, "channel": "email", "to": [ { "contactId": "string" } ], "cc": [ { "contactId": "string" } ], "bcc": [ { "contactId": "string" } ], "from": { "email": "string", "name": "string" }, "email": { "subject": "string", "html": "string", "text": "string", "attachments": [ { "filename": "string", "content": "string", "mediaId": "string", "contentType": "string", "size": 1 } ], "publicationId": "string", "inputContractId": "string", "templateId": "string", "templateSlug": "string", "templateData": {}, "inReplyToMessageId": "string", "replyTo": [ "string" ], "unsubscribeGroupId": "string", "tracking": { "opens": true, "clicks": true }, "footer": { "enabled": true } } }, "messageId": "string", "idempotencyKey": "string", "referenceId": "string", "failureReason": "string", "attempts": 0, "createdBy": "string", "actorEmail": "string", "memberRole": "string", "createdAt": "string", "updatedAt": "string"}